package qsnake;

import javax.swing.JFrame;

public class QSnake extends JFrame{

    public QSnake() {
        start(new Board());
    }
    
    private void start(Board board) {
        add(board);
        
        setResizable(false);
        pack();
        
        setTitle("QSnake");
        setLocationRelativeTo(null);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    }
    
    
    public static void main(String[] args) {
        JFrame boardFrame = new QSnake();
        JFrame detailsWindow = new DetailsWindow();
        
        boardFrame.setVisible(true);
        detailsWindow.setVisible(true);
        
        
    }
}
